<template>
    <tuicallkit ref="TUICallKit"></tuicallkit>
</template>

<script>
export default {
    onLoad(option) {
        const config = JSON.parse(option.configData);
        this.$nextTick(async () => {
           await this.$refs.TUICallKit.init(config);
           const event = JSON.parse(option.data);
           wx.$TUICallEngine.TRTCCallingDelegate.onInvited(event.data);
        })
    },
    created() {

    },
    onUnload() {
        this.$refs.TUICallKit.destroyed();
    },
}
</script>

<style>
</style>